﻿using PDF_Office.ViewModels.Dialog.ConverterDialogs;
using PDF_Office.ViewModels.Dialog.HomePageToolsDialogs;
using System.Windows;
using System.Windows.Controls;

namespace PDF_Office.Views.Dialog.ConverterDialogs
{
    /// <summary>
    /// Interaction logic for ConverterCSVDialog
    /// </summary>
    public partial class ConverterCSVDialog : UserControl
    {
        public ConverterCSVDialog()
        {
            InitializeComponent();
        }
        private void ConverterPreview_Loaded(object sender, System.Windows.RoutedEventArgs e)
        {
            ConverterPreview.document = ((ConverterCSVDialogViewModel)this.DataContext).currentViewer.Document;
            ConverterPreview.AwaitRenderBitmap(ConverterPreview.document);
            ConverterPreview.PageIndex.Text = ConverterPreview.document.PageCount.ToString();
        }
        private void PageRangeComboBox_Loaded(object sender, RoutedEventArgs e)
        {
            PageRangeComboBox.CurrentPage = true;
            if (PageRangeComboBox.CurrentPage)
            {
                ComboBoxItem comboBoxItem = new ComboBoxItem();
                comboBoxItem.Content = "当前页面";
                PageRangeComboBox.writableComboBox.Items.Insert(1, comboBoxItem);
            }
        }
    }
}
