﻿using ComPDFKit_Conversion.Converter;
using ComPDFKit_Conversion.Options;
using PDF_Office.ViewModels.Dialog.ConverterDialogs;
using System.Diagnostics;
using System.Windows;
using System.Windows.Controls;

namespace PDF_Office.Views.Dialog.ConverterDialogs
{
    /// <summary>
    /// Interaction logic for ConverterImgDialog
    /// </summary>
    public partial class ConverterImgDialog : UserControl
    {
        public ConverterImgDialog()
        {
            InitializeComponent();
        }
        private void ConverterPreview_Loaded(object sender, System.Windows.RoutedEventArgs e)
        {
            ConverterPreview.document = ((ConverterImgDialogViewModel)this.DataContext).currentViewer.Document;
            ConverterPreview.AwaitRenderBitmap(ConverterPreview.document);
            ConverterPreview.PageIndex.Text = ConverterPreview.document.PageCount.ToString();
        }
        private void PageRangeComboBox_Loaded(object sender, RoutedEventArgs e)
        {
            PageRangeComboBox.CurrentPage = true;
            if (PageRangeComboBox.CurrentPage)
            {
                ComboBoxItem comboBoxItem = new ComboBoxItem();
                comboBoxItem.Content = "当前页面";
                PageRangeComboBox.writableComboBox.Items.Insert(1, comboBoxItem);
            }
        }

        private void ImageTypeComboBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            switch (ImageTypeComboBox.SelectedIndex)
            {
                case 0:
                    ((ConverterImgDialogViewModel)this.DataContext).ConverterImgModel.Type = ImgType.JPEG;
                    break;
                case 1:
                    ((ConverterImgDialogViewModel)this.DataContext).ConverterImgModel.Type = ImgType.JPEG;
                    break;
                case 2:
                    ((ConverterImgDialogViewModel)this.DataContext).ConverterImgModel.Type = ImgType.PNG;
                    break;
                case 3:
                    ((ConverterImgDialogViewModel)this.DataContext).ConverterImgModel.Type = ImgType.JPEG;
                    break;
                case 4:
                    ((ConverterImgDialogViewModel)this.DataContext).ConverterImgModel.Type = ImgType.JPEG;
                    break;
                case 5:
                    ((ConverterImgDialogViewModel)this.DataContext).ConverterImgModel.Type = ImgType.JPEG;
                    break;
                case 6:
                    ((ConverterImgDialogViewModel)this.DataContext).ConverterImgModel.Type = ImgType.JPEG;
                    break;
                case 7:
                    ((ConverterImgDialogViewModel)this.DataContext).ConverterImgModel.Type = ImgType.JPEG;
                    break;
                default:
                    break;
            }
        }
        private void ImageDPIComboBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            switch (ImageDPIComboBox.SelectedIndex)
            {
                case 0:
                    Trace.WriteLine("50");
                    break;
                case 1:
                    Trace.WriteLine("72");
                    break;
                case 2:
                    Trace.WriteLine("96");
                    break;
                case 3:
                    Trace.WriteLine("150");
                    break;
                case 4:
                    Trace.WriteLine("300");
                    break;
                case 5:
                    Trace.WriteLine("600");
                    break;
                default:
                    break;
            }
        }
    }
}
