﻿using PDF_Office.ViewModels.Dialog.ConverterDialogs;
using System.Windows;
using System.Windows.Controls;

namespace PDF_Office.Views.Dialog.ConverterDialogs
{
    /// <summary>
    /// Interaction logic for ConverterTxtDialog
    /// </summary>
    public partial class ConverterTextDialog : UserControl
    {
        public ConverterTextDialog()
        {
            InitializeComponent();
        }
        private void ConverterPreview_Loaded(object sender, System.Windows.RoutedEventArgs e)
        {
            ConverterPreview.document = ((ConverterTextDialogViewModel)this.DataContext).currentViewer.Document;
            ConverterPreview.AwaitRenderBitmap(ConverterPreview.document);
            ConverterPreview.PageIndex.Text = ConverterPreview.document.PageCount.ToString();
        }

        private void PageRangeComboBox_Loaded(object sender, RoutedEventArgs e)
        {
            PageRangeComboBox.CurrentPage = true;
            if (PageRangeComboBox.CurrentPage)
            {
                ComboBoxItem comboBoxItem = new ComboBoxItem();
                comboBoxItem.Content = "当前页面";
                PageRangeComboBox.writableComboBox.Items.Insert(1, comboBoxItem);
            }
            //PageRangeComboBox.writableComboBox.SelectionChanged += WritableComboBox_SelectionChanged;
        }
    }
}
